import { ElementRef } from '@angular/core';
import { Icon } from '../../../enum/icon.enum';
import { TransactionHeaderBaseComponent } from '../../core/base/transaction-header-base.component';
export declare class TransactionHeaderOrderComponent extends TransactionHeaderBaseComponent {
    readonly icons: typeof Icon;
    showClass(): boolean;
    discountContainer: ElementRef;
    onDocumentClick(target: HTMLElement): void;
    showDialogDiscount: boolean;
    inputDiscount: boolean;
    openDiscount(event: MouseEvent): Promise<void>;
    toggleDiscount(event: MouseEvent): void;
    onDiscountDone(): void;
}
